Bug 1467 - auth user access to samba share doesn't work
: auth user access to samba share doesn't work
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 01:31 MSK by Alexander Petryakov
Modified: 2014-10-20 11:48 MSD (History)
2 users (show)

See Also:
RPM Package: samba-3.6.9-3.src.rpm
ISO-related:
Bad POT generating:
Upstream:
denis.silakov: need_info? (alexander.petryakov)


Attachments

Note You need to log in before you can comment on or make changes to this bug.

ROSA team tools

Description Alexander Petryakov 2013-01-16 01:31:01 MSK
Steps to Reproduce:
1. Create shared folder (set  Full Control for system user)
2. reboot
3. try connect to shared folder from another pc
4. insert in auth window login/password of system user
5. login/password incorrect

in logs (/var/log/samba/pc_hostname.log):
param/loadparm.c:9114(process_usershare_file)
  process_usershare_file: stat of /var/cache/samba/usershares/SHARE_NAME failed. Отказано в доступе
Comment 1 Aleksandr Kazantcev 2013-01-16 07:41:55 MSK
Please give me output for ls -al /var/cache/samba/usershares/

Then run this command:

 chmod +o=rx /var/cache/samba/usershares/

and try connect to samba share. Is there fix error?
Comment 2 Aleksandr Kazantcev 2013-01-16 08:26:28 MSK
Please don't try chmod command - it's my mistake. This directory has not be granted to anyone... Only root:users
Comment 3 Denis Silakov 2014-01-11 22:00:51 MSK
Is this bug still valid?
Comment 4 Denis Silakov 2014-10-20 11:48:47 MSD
We have resolved several issues with samba sharing in ROSA Desktop Fresh R4. Hopefully this problem has been solved, as well. Feel free to reopen the bug if you are able to reproduce it.